Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Mat.Stencil

class petsc4py.PETSc.Mat.Stencil

  Bases: `object`

  Associate structured grid coordinates with matrix indices.

  See also

  `MatStencil`

  Attributes Summary

  `c` | Field component.
  `field` | Field component.
  `i` | First logical grid coordinate.
  `index` | Logical grid coordinates `(i, j, k)`.
  `j` | Second logical grid coordinate.
  `k` | Third logical grid coordinate.

  Attributes Documentation

  c

    Field component.

    Source code at petsc4py/PETSc/Mat.pyx:321

  field

    Field component.

    Source code at petsc4py/PETSc/Mat.pyx:340

  i

    First logical grid coordinate.

    Source code at petsc4py/PETSc/Mat.pyx:297

  index

    Logical grid coordinates `(i, j, k)`.

    Source code at petsc4py/PETSc/Mat.pyx:329

  j

    Second logical grid coordinate.

    Source code at petsc4py/PETSc/Mat.pyx:305

  k

    Third logical grid coordinate.

    Source code at petsc4py/PETSc/Mat.pyx:313

  __init__()
  classmethod __new__(*args, **kwargs)